Bug 205282 - [NEW MODULE] Mk/Uses/go.mk Framework for Go projects/ports
Summary: [NEW MODULE] Mk/Uses/go.mk Framework for Go projects/ports
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords: feature, patch
Depends on: 204772 205032
Blocks: 205283 205311 205312 205326 205327 205329 205331 205462 205464
  Show dependency treegraph
 
Reported: 2015-12-13 08:40 UTC by Yuri Victorovich
Modified: 2017-09-16 02:48 UTC (History)
8 users (show)

See Also:


Attachments
shar archive (3.38 KB, text/plain)
2015-12-13 08:42 UTC, Yuri Victorovich
no flags Details
patch (3.55 KB, patch)
2015-12-13 08:53 UTC, Yuri Victorovich
no flags Details | Diff
patch (4.28 KB, patch)
2015-12-14 10:53 UTC, Yuri Victorovich
no flags Details | Diff
patch (5.09 KB, patch)
2015-12-15 00:06 UTC, Yuri Victorovich
no flags Details | Diff
patch (5.04 KB, patch)
2015-12-15 01:30 UTC, Yuri Victorovich
no flags Details | Diff
patch (4.84 KB, patch)
2015-12-15 04:06 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-12-13 08:40:33 UTC

    
Comment 1 Yuri Victorovich freebsd_committer 2015-12-13 08:42:23 UTC
Created attachment 164172 [details]
shar archive

USES=go module that allows to easily create Go-based ports.

Maybe few problems will need to still be brushed off.
Comment 2 Yuri Victorovich freebsd_committer 2015-12-13 08:53:49 UTC
Created attachment 164174 [details]
patch
Comment 3 Yuri Victorovich freebsd_committer 2015-12-14 10:53:21 UTC
Created attachment 164226 [details]
patch

Update: problem of an unstable tarballs is fixed by replacing with GitHub mirror.
Comment 4 Yuri Victorovich freebsd_committer 2015-12-15 00:06:55 UTC
Created attachment 164246 [details]
patch

Update.
Comment 5 Yuri Victorovich freebsd_committer 2015-12-15 01:30:14 UTC
Created attachment 164250 [details]
patch
Comment 6 Yuri Victorovich freebsd_committer 2015-12-15 04:06:02 UTC
Created attachment 164255 [details]
patch

TODO
* Go package support. Should be able to build the Go library in the form of the regular port usable from another Go ports as BUILD_DEPENDS. This is because some packages are very large, and bundling them is wasteful.
Comment 7 Vick Khera 2016-05-05 17:39:31 UTC
In commit ports r413776 a conflicting Uses/go.mk file was committed.
Comment 8 Yuri Victorovich freebsd_committer 2016-05-05 17:46:15 UTC
Something was moved from lang/go/files/bsd.go.mk into Uses/go.mk.
Comment 9 Yuri Victorovich freebsd_committer 2016-05-05 17:49:17 UTC
This Bug is pending because its dependency is in conflict with 9.X (which is soon to retire).

@mat, @bapt, What do you think the resolution is, should I rename it into USES=golang?
Comment 10 Mathieu Arnold freebsd_committer 2016-09-08 14:15:24 UTC
A USES=go was already created.
Comment 11 Yuri Victorovich freebsd_committer 2016-09-28 18:14:04 UTC
go.mk was copied over from under golang, it doesn't support depending projects.
I will merge them once make from 9.X is retired.
Comment 12 Matthias Fechner freebsd_committer 2017-01-03 11:27:13 UTC
it seems that support for FreeBSD 9.3 was dropped by 2017-01-01.
Could it be possible to continue on this issue?
Comment 13 Mathieu Arnold freebsd_committer 2017-01-03 12:06:38 UTC
There already is a USES=go, the patch must be updated before this can continue.
Comment 14 Yuri Victorovich freebsd_committer 2017-01-03 16:06:10 UTC
Yes, I know, I will work on this.
Comment 15 freebsd 2017-04-24 14:04:52 UTC
I don't want to pressure anyone, but this ticket currently blocks 7 other ones including a pretty popular #205283 for adding a gogs/gitea port. :)
Comment 16 Mathieu Arnold freebsd_committer 2017-04-24 14:42:48 UTC
I do not quite understand why other ports absolutely need this feature, there are many go ports in the ports tree that work just fine.  So, depending on a possible, future, feature is nice, but...

Also, nobody seems to be interested in working on this particular feature.  So, of course, it does not go forward.
Comment 17 Richard Gallamore freebsd_committer 2017-09-16 02:48:08 UTC
Mk/Uses/go.mk is in port tree already.